<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:import href="FunctionForXsl.xsl"/>
  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="RUPersonnel">
	  <RUPersonnel><xsl:value-of select="count(//SEAPASSLISTPASSINFO_ITEM[Nationality='RU'])"/></RUPersonnel>
	  
  </xsl:template>
  
    <xsl:template match="ForeignPersonnel">
	  <ForeignPersonnel><xsl:value-of select="count(//SEAPASSLISTPASSINFO_ITEM[Nationality!='RU'])"/></ForeignPersonnel>
  </xsl:template>

  <xsl:template match="FactPassNumber">
	  <FactPassNumber><xsl:value-of select="count(//SEAPASSLISTPASSINFO_ITEM)"/></FactPassNumber>
  </xsl:template>



  
</xsl:stylesheet>
